Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class EntityDefOverRowSet

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.jbo.server.DefObject
oracle.jbo.server.RowDef
oracle.jbo.server.EntityDefImpl
oracle.jbo.server.EntityDefOverRowSet`

All Implemented Interfaces:
  StructureDef, VariableManagerOwner

public class EntityDefOverRowSet
extends EntityDefImpl

Field Summary

Fields inherited from class oracle.jbo.server.EntityDefImpl
`DBOBJ_TYPE_OBJTAB, DBOBJ_TYPE_OBJTYP, DBOBJ_TYPE_TABLE, DBOBJ_TYPE_VIEW, mAssocAccessors, mAssocs, mAttrAccessors, mBatchThreshold, mFKeys, mIsObjectTable, mOIDAttribute, mPrimaryKeys, mSource, mSourceType`

Fields inherited from class oracle.jbo.server.RowDef
`mComponentClass`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`EntityDefOverRowSet()`
`EntityDefOverRowSet(java.lang.String name, RowSet rs, java.lang.Class cacheClass)`

Method Summary
`protected EntityImpl` | `createFromSourceRow(Row srcRow, DBTransaction txn)`
`java.lang.Class` | `getCollClass()` Gets the implementation class of this Entity's collection.
`java.lang.Class` | `getRowClass()` Gets the implementation class of this Entity's rows.
`ViewDefImpl` | `getViewObjectBase()`
`protected void` | `loadAttribute(DefElement elem)` Load the attributes from the XMLInput Stream
`void` | `setViewObjectBase(ViewDefImpl viewDef)`

Methods inherited from class oracle.jbo.server.EntityDefImpl
`addAttribute, addEntityAssociation, addPropertyChangeListener, addPropertyChangeListener, addUniquePKValidation, addValidator, addVetoableChangeListener, addVetoableChangeListener, addVetoableChangeListener, checkEntityLocked, createBlankInstance, createBlankInstance2, createDef, createInstance, createInstance2, createKey, findAttributeDef, findByPKExtended, findByPrimaryKey, findDefObject, findInCacheByPKExtended, findInCacheByPrimaryKey, finishedLoading, getAllEntityInstances, getAllEntityInstancesIterator, getAssociationDefImpl, getAssociationDefImpl, getAssociationDefImpls, getAttributeCount, getAttributeDef, getAttributeDefImpl, getAttributeDefImpl, getAttributeDefImplByColumnName, getAttributeDefImpls, getAttributeDefs, getChangeIndicatorColumn, getComponentClass, getEJBAppProviderURL, getEJBHome, getEJBHomeJNDIName, getEntityAssociations, getForeignKeyAttrs, getMaxAttrConst, getOIDAttribute, getPrimaryKeys, getQuery, getRefAttrIndex, getRetrievedOnInsertAttributes, getRetrievedOnInsertPrimaryKeys, getRetrievedOnUpdateAttributes, getRetrievedOnUpdatePrimaryKeys, getSelectClause, getSource, getSourceType, getUniqueKeys, getValidators, hasLOBAttrs, isAssociationAccessorRetained, isObjectTable, isOIDInPrimaryKey, isRefPKBased, isRowIDPrimaryKey, isSingleUseKeyStatement, isUpdateChangedColumns, isUseGlueCode, isUseReturningClause, loadCustomDef, lookupAttributeDef, newInstance, newInstance2, removePropertyChangeListener, removePropertyChangeListener, removeValidator, removeVetoableChangeListener, removeVetoableChangeListener, removeVetoableChangeListener, resolveDefObject, resolveReferences, setAssociationAccessorRetained, setBatchThreshold, setCollClass, setEJBAppProviderURL, setEJBHomeJNDIName, setRefPKBased, setRowClass, setSingleUseKeyStatement, setSource, setSourceType, setUpdateChangedColumns, setUseGlueCode, setUseReturningClause`

Methods inherited from class oracle.jbo.server.RowDef
`addExtendedDefObject, appendBindingNameForAttr, appendBindingSpec, discrValuesQualify, ensureVariableManager, findDefForDiscrValues, getAliasName, getAttributeIndexOf, getBaseDefObject, getBindingStyle, getClientProxyClassName, getComponentInterfaceName, getDefFullName, getDefName, getDiscrColumns, getEffectiveClientProxyClassName, getEffectiveComponentInterfaceName, getMessageBundleClass, getPackageDef, getPackageName, getVariableManager, getVarMgrParents, hasVariables, loadProperties, loadVariables, registerDefObject, setAliasName, setBaseDefObject, setBindingStyle, setClientProxyClassName, setComponentInterfaceName, setDiscrColumns, setMessageBundleClass, setName, setParent, verifyExtendedDefObjects`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, setObjectResolved`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.StructureDef
`getAttributeIndexOf, getDefFullName, getDefName, getFullName, getName`

Methods inherited from interface oracle.jbo.VariableManagerOwner
`getName`

Constructor Detail

### EntityDefOverRowSet

    public EntityDefOverRowSet()

### EntityDefOverRowSet

    public EntityDefOverRowSet(java.lang.String name,
                               RowSet rs,
                               java.lang.Class cacheClass)

Method Detail

### getViewObjectBase

    public ViewDefImpl getViewObjectBase()

### setViewObjectBase

    public void setViewObjectBase(ViewDefImpl viewDef)

### getRowClass

    public java.lang.Class getRowClass()

  Description copied from class: `EntityDefImpl`
  Gets the implementation class of this Entity's rows. For example, if this method is called on the `Dept` Entity Object, it will return `DeptImpl`.
  Overrides:
    `getRowClass` in class `EntityDefImpl`
  Returns:
    the row implementation class.

### getCollClass

    public java.lang.Class getCollClass()

  Description copied from class: `EntityDefImpl`
  Gets the implementation class of this Entity's collection.
  Overrides:
    `getCollClass` in class `EntityDefImpl`
  Returns:
    the collection implementation class.

### createFromSourceRow

    protected EntityImpl createFromSourceRow(Row srcRow,
                                             DBTransaction txn)

### loadAttribute

    protected void loadAttribute(DefElement elem)

  Description copied from class: `EntityDefImpl`
  Load the attributes from the XMLInput Stream
  Overrides:
    `loadAttribute` in class `EntityDefImpl`
  Parameters:
    `elem` - : BC4J Entity

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.